Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKPSSSigner

    java.lang.Object
      |
      +--java.security.SignatureSpi
            |
            +--java.security.Signature
                  |
                  +--org.bouncycastle.jce.provider.JDKPSSSigner

Direct Known Subclasses:
  JDKPSSSigner.SHA1withRSA, JDKPSSSigner.SHA256withRSA, JDKPSSSigner.SHA384withRSA, JDKPSSSigner.SHA512withRSA

public class JDKPSSSigner
extends java.security.Signature

Inner Class Summary
`static class` | `JDKPSSSigner.SHA1withRSA`
`static class` | `JDKPSSSigner.SHA256withRSA`
`static class` | `JDKPSSSigner.SHA384withRSA`
`static class` | `JDKPSSSigner.SHA512withRSA`

Fields inherited from class java.security.Signature
`SIGN, state, UNINITIALIZED, VERIFY`

Fields inherited from class java.security.SignatureSpi
`appRandom`

Constructor Summary
`protected` | `JDKPSSSigner(java.lang.String name, AsymmetricBlockCipher signer, Digest digest)`

Method Summary
`protected java.lang.Object` | `engineGetParameter(java.lang.String param)`
`protected void` | `engineInitSign(java.security.PrivateKey privateKey)`
`protected void` | `engineInitSign(java.security.PrivateKey privateKey, java.security.SecureRandom random)`
`protected void` | `engineInitVerify(java.security.PublicKey publicKey)`
`protected void` | `engineSetParameter(java.security.spec.AlgorithmParameterSpec params)`
`protected void` | `engineSetParameter(java.lang.String param, java.lang.Object value)` Deprecated. replaced with
`protected byte[]` | `engineSign()`
`protected void` | `engineUpdate(byte b)`
`protected void` | `engineUpdate(byte[] b, int off, int len)`
`protected boolean` | `engineVerify(byte[] sigBytes)`

Methods inherited from class java.security.Signature
`clone, getAlgorithm, getInstance, getInstance, getParameter, getProvider, initSign, initSign, initVerify, initVerify, setParameter, setParameter, sign, sign, toString, update, update, update, verify`

Methods inherited from class java.security.SignatureSpi
`engineSign`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDKPSSSigner

    protected JDKPSSSigner(java.lang.String name,
                           AsymmetricBlockCipher signer,
                           Digest digest)

Method Detail

### engineInitVerify

    protected void engineInitVerify(java.security.PublicKey publicKey)
                             throws java.security.InvalidKeyException

  Overrides:
    `engineInitVerify` in class `java.security.SignatureSpi`

### engineInitSign

    protected void engineInitSign(java.security.PrivateKey privateKey,
                                  java.security.SecureRandom random)
                           throws java.security.InvalidKeyException

  Overrides:
    `engineInitSign` in class `java.security.SignatureSpi`

### engineInitSign

    protected void engineInitSign(java.security.PrivateKey privateKey)
                           throws java.security.InvalidKeyException

  Overrides:
    `engineInitSign` in class `java.security.SignatureSpi`

### engineUpdate

    protected void engineUpdate(byte b)
                         throws java.security.SignatureException

  Overrides:
    `engineUpdate` in class `java.security.SignatureSpi`

### engineUpdate

    protected void engineUpdate(byte[] b,
                                int off,
                                int len)
                         throws java.security.SignatureException

  Overrides:
    `engineUpdate` in class `java.security.SignatureSpi`

### engineSign

    protected byte[] engineSign()
                         throws java.security.SignatureException

  Overrides:
    `engineSign` in class `java.security.SignatureSpi`

### engineVerify

    protected boolean engineVerify(byte[] sigBytes)
                            throws java.security.SignatureException

  Overrides:
    `engineVerify` in class `java.security.SignatureSpi`

### engineSetParameter

    protected void engineSetParameter(java.security.spec.AlgorithmParameterSpec params)
                               throws java.security.InvalidParameterException

  Overrides:
    `engineSetParameter` in class `java.security.SignatureSpi`

### engineSetParameter

    protected void engineSetParameter(java.lang.String param,
                                      java.lang.Object value)

  Deprecated. replaced with

  Overrides:
    `engineSetParameter` in class `java.security.SignatureSpi`

### engineGetParameter

    protected java.lang.Object engineGetParameter(java.lang.String param)

  Overrides:
    `engineGetParameter` in class `java.security.SignatureSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD